Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.channels.sitemap
Class CSiteMap

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.layout.channels.sitemap.CSiteMap

All Implemented Interfaces:
  IChannel, IPrivileged

    public class CSiteMap

extends BaseChannel
implements IPrivileged

Site map that shows you, at a glance, what channels are in your layout.

Version:
  $Revision: 1.5 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private static java.lang.String` | `sslUri`
`(package private) org.w3c.dom.Document` | `userLayoutDoc`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`log, runtimeData, staticData`

Constructor Summary
`CSiteMap()`

Method Summary
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, setRuntimeData, setStaticData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userLayoutDoc

    org.w3c.dom.Document userLayoutDoc

### sslUri

    private static final java.lang.String sslUri

See Also:
  Constant Field Values

Constructor Detail

### CSiteMap

    public CSiteMap()

Method Detail

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)
                                    throws PortalException

  Description copied from interface: `IPrivileged`
  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  Throws:
    `PortalException`
  See Also:
    `PortalControlStructures`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD